%define subrel 1

Summary:	Puzzle game similar to Oxyd
Name:		enigma
Epoch:		0
Version:	1.01
Release:	%mkrel 1
Source0:	http://download.berlios.de/enigma-game/enigma-%{version}-64bit.tar.gz
# Fix various GCC 4.3 build problems - AdamW 2008/12
Patch2:		enigma-1.01-gcc43.patch
# Fix some 'format not a string literal' errors - AdamW 2008/12
Patch3:		enigma-1.01-literal.patch
# taken from http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=505358
Patch4:         enigma-gcc-4.4-ftbfs.patch
Patch5:         enigma-consts.patch
Patch6:         enigma-xerces.patch
Patch7:         enigma-gcc-4.6-ftbfs.patch
License:	GPLv2+
Group:		Games/Arcade
URL:		http://www.nongnu.org/enigma/
BuildRequires:	libpng-devel
BuildRequires:	lua-devel
BuildRequires:	libSDL-devel
BuildRequires:	libSDL_image-devel
BuildRequires:	libSDL_mixer-devel
BuildRequires:	libSDL_ttf-devel
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	xerces-c-devel
Obsoletes:	enigma-freeoxyd

%description
Enigma is a tribute to and a re-implementation of one of the most
original and intriguing computer games of the 1990's: Oxyd.  Your
objective is easily explained: find and uncover all pairs of identical
Oxyd stones in each landscape.  Sounds simple?  It would be, if it
weren't for hidden traps, vast mazes, insurmountable obstacles and
innumerable puzzles blocking your direct way to the Oxyd stones...

%prep
%setup -q -n enigma-%{version}
%patch2 -p1 -b .gcc43
%patch3 -p1 -b .literal
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1 -b .gcc46

%build
%configure2_5x
%make

%install
rm -rf %{buildroot} installed-docs
%makeinstall_std

mv %{buildroot}/%_docdir/enigma installed-docs

# (blino) remove devel files
rm -rf %{buildroot}%{_includedir} %{buildroot}%{_libdir}/*.a

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="PuzzleGame" \
  --add-category="ArcadeGame;LogicGame" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang enigma

%clean

%files -f enigma.lang
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/enigma
%{_datadir}/applications/*
%doc installed-docs/*
%{_mandir}/man6/*
%{_datadir}/icons/hicolor/48x48/apps/*
%{_datadir}/pixmaps/*





%changelog
* Fri Jul 29 2011 stormi <stormi> 0:1.01-1.1.mga1
+ Revision: 130481
- update release to 1 per new updates policy
- add epoch for migration from Mandriva
- fix desktop file
- add enigma to mageia 1

* Sun Jun 12 2011 zezinho <zezinho> 1.01-1.mga2
+ Revision: 105425
- imported package enigma


* Sun Dec 21 2008 Adam Williamson <awilliamson@mandriva.com> 1.01-3mdv2009.1
+ Revision: 316842
- lua-devel not liblua-devel
- rebuild for newer libxerces-c
- drop old icons
- drop Mandriva menu category
- add literal.patch: fix a few "format is not a string literal"s
- add gcc43.patch: fix various gcc 4.3 build issues
- new license policy
- clean spec

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.01-2mdv2008.1
+ Revision: 170817
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jul 11 2007 Olivier Blin <oblin@mandriva.com> 1.01-1mdv2008.0
+ Revision: 51313
- remove old menu
- remove unused devel files
- no need to fix man page location anymore
- buildrequire xerces-c-devel
- use configure2_5x and makeinstall_std macros
- drop gcc4.1 patch (not needed anymore)
- 1.01


* Tue Jun 27 2006 Gtz Waschk <waschk@mandriva.org> 0.92-2mdv2007.0
- fix buildrequires
- handle icon cache
- xdg menu
- fix build with gcc 4.1
- use mkrel

* Wed Jun 08 2005 Gtz Waschk <waschk@mandriva.org> 0.92-1mdk
- New release 0.92

* Mon May 09 2005 Gtz Waschk <waschk@mandriva.org> 0.91-1mdk
- new version

* Wed Apr 13 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.rc1.1mdk
- add translations
- drop patch 0
- new version

* Thu Sep 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.81-5mdk
- fix menu

* Mon Jul 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.81-4mdk
- add source URL
- fix icon
- fix applications menu entry

* Fri Jul 02 2004 Michael Scherer <misc@mandrake.org> 0.81-3mdk 
- rebuild for new gcc ( patch 0 )

* Thu Feb 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.81-2mdk
- Rename binary as enigma-freeoxyd to not conflict with enigma package

* Thu Oct 16 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.81-1mdk
- 0.81

* Mon Aug 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.70-1mdk
- new...hum...not really, replace the enigma package
- patch0: fix some missing includes

